<table>
<colgroup>
<col style="width: 20%" />
<col style="width: 20%" />
<col style="width: 20%" />
<col style="width: 20%" />
<col style="width: 20%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Command</th>
<th style="text-align: right;">Mean [ms]</th>
<th style="text-align: right;">Min [ms]</th>
<th style="text-align: right;">Max [ms]</th>
<th style="text-align: right;">Relative</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;"><code>Zig/fib_opt</code></td>
<td style="text-align: right;">0.2 ± 0.1</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: right;">0.7</td>
<td style="text-align: right;">1.00</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Nim/fib_opt</code></td>
<td style="text-align: right;">0.7 ± 0.1</td>
<td style="text-align: right;">0.5</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">2.68 ± 0.69</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Crystal/fib_opt</code></td>
<td style="text-align: right;">1.4 ± 0.2</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.68 ± 1.52</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Chapel/fib_opt</code></td>
<td style="text-align: right;">13.5 ± 2.0</td>
<td style="text-align: right;">11.7</td>
<td style="text-align: right;">32.5</td>
<td style="text-align: right;">54.56 ± 14.63</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Chapel/fib_iter</code></td>
<td style="text-align: right;">13.6 ± 1.9</td>
<td style="text-align: right;">11.7</td>
<td style="text-align: right;">29.0</td>
<td style="text-align: right;">54.82 ± 14.31</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_opt</code></td>
<td style="text-align: right;">1.3 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">5.17 ± 1.35</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib_memo</code></td>
<td style="text-align: right;">1.4 ± 0.2</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: right;">3.0</td>
<td style="text-align: right;">5.58 ± 1.48</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_opt-unsafe</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">0.9</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">4.81 ± 1.27</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib_opt+flambda</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">4.90 ± 1.32</td>
</tr>
<tr class="even">
<td
style="text-align: left;"><code>OCaml/fib_opt+flambda-unsafe</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">0.9</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">4.78 ± 1.27</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib_binet</code></td>
<td style="text-align: right;">1.3 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.20 ± 1.38</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_binet_opt</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">4.83 ± 1.25</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib_shift</code></td>
<td style="text-align: right;">1.3 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.09 ± 1.32</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_binet+flambda</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">4.90 ± 1.29</td>
</tr>
<tr class="odd">
<td
style="text-align: left;"><code>OCaml/fib_binet_opt+flambda</code></td>
<td style="text-align: right;">1.3 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">5.14 ± 1.35</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_shift+flambda</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">4.95 ± 1.29</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>MLton/fib_opt</code></td>
<td style="text-align: right;">0.9 ± 0.1</td>
<td style="text-align: right;">0.7</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">3.69 ± 0.99</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>MLton/fib_opt+native+O3</code></td>
<td style="text-align: right;">0.9 ± 0.1</td>
<td style="text-align: right;">0.7</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">3.77 ± 1.00</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>MLton/fib_opt-mlkit</code></td>
<td style="text-align: right;">1.0 ± 0.1</td>
<td style="text-align: right;">0.8</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: right;">4.06 ± 1.04</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>MLton/fib_opt-mlkit-ngc</code></td>
<td style="text-align: right;">0.9 ± 0.1</td>
<td style="text-align: right;">0.7</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: right;">3.83 ± 1.02</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>PolyML/fib_opt</code></td>
<td style="text-align: right;">3.3 ± 0.3</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">5.0</td>
<td style="text-align: right;">13.18 ± 3.17</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Rust/fib_opt</code></td>
<td style="text-align: right;">0.8 ± 0.1</td>
<td style="text-align: right;">0.6</td>
<td style="text-align: right;">1.8</td>
<td style="text-align: right;">3.43 ± 0.95</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Dylan/_build/bin/fib_opt</code></td>
<td style="text-align: right;">11.4 ± 1.4</td>
<td style="text-align: right;">8.5</td>
<td style="text-align: right;">16.2</td>
<td style="text-align: right;">45.91 ± 11.70</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Go/fib_opt</code></td>
<td style="text-align: right;">1.0 ± 0.1</td>
<td style="text-align: right;">0.8</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: right;">4.24 ± 1.05</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>ATS/fib_opt</code></td>
<td style="text-align: right;">0.6 ± 0.1</td>
<td style="text-align: right;">0.5</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">2.50 ± 0.68</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Swift/fib_opt</code></td>
<td style="text-align: right;">1.1 ± 0.1</td>
<td style="text-align: right;">0.9</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: right;">4.34 ± 1.14</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Ada/fib_opt</code></td>
<td style="text-align: right;">0.7 ± 0.1</td>
<td style="text-align: right;">0.5</td>
<td style="text-align: right;">1.6</td>
<td style="text-align: right;">2.68 ± 0.72</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Mercury/fib_opt</code></td>
<td style="text-align: right;">11.4 ± 1.1</td>
<td style="text-align: right;">9.1</td>
<td style="text-align: right;">15.4</td>
<td style="text-align: right;">46.11 ± 11.25</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Mercury/fib_opt_memo</code></td>
<td style="text-align: right;">11.6 ± 1.3</td>
<td style="text-align: right;">9.3</td>
<td style="text-align: right;">15.6</td>
<td style="text-align: right;">46.92 ± 11.73</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Mercury/fib_memo</code></td>
<td style="text-align: right;">11.2 ± 1.2</td>
<td style="text-align: right;">9.2</td>
<td style="text-align: right;">14.8</td>
<td style="text-align: right;">45.18 ± 11.22</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>C/fib_opt</code></td>
<td style="text-align: right;">0.6 ± 0.1</td>
<td style="text-align: right;">0.5</td>
<td style="text-align: right;">1.4</td>
<td style="text-align: right;">2.58 ± 0.70</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>C/fib_opt-clang</code></td>
<td style="text-align: right;">0.6 ± 0.1</td>
<td style="text-align: right;">0.5</td>
<td style="text-align: right;">1.5</td>
<td style="text-align: right;">2.52 ± 0.67</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Kotlin/fib_opt</code></td>
<td style="text-align: right;">1.4 ± 0.2</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: right;">2.9</td>
<td style="text-align: right;">5.78 ± 1.45</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>CLisp/fib_opt</code></td>
<td style="text-align: right;">8.3 ± 0.8</td>
<td style="text-align: right;">7.3</td>
<td style="text-align: right;">14.4</td>
<td style="text-align: right;">33.55 ± 8.14</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Clean/bin/fib_opt</code></td>
<td style="text-align: right;">1.3 ± 0.2</td>
<td style="text-align: right;">1.0</td>
<td style="text-align: right;">2.8</td>
<td style="text-align: right;">5.19 ± 1.43</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Koka/fib_opt</code></td>
<td style="text-align: right;">3.1 ± 0.5</td>
<td style="text-align: right;">2.4</td>
<td style="text-align: right;">5.5</td>
<td style="text-align: right;">12.35 ± 3.34</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Terra/fib_opt</code></td>
<td style="text-align: right;">0.4 ± 0.1</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: right;">0.9</td>
<td style="text-align: right;">1.79 ± 0.50</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Oberon/fib-opt-voc</code></td>
<td style="text-align: right;">0.5 ± 0.1</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: right;">1.3</td>
<td style="text-align: right;">2.04 ± 0.57</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Oberon/fib-opt-obc</code></td>
<td style="text-align: right;">1.0 ± 0.1</td>
<td style="text-align: right;">0.8</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">4.03 ± 1.06</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Oberon/fib-opt-obnc</code></td>
<td style="text-align: right;">1.1 ± 0.2</td>
<td style="text-align: right;">0.9</td>
<td style="text-align: right;">2.5</td>
<td style="text-align: right;">4.32 ± 1.15</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Oberon/fib-iter-voc</code></td>
<td style="text-align: right;">0.5 ± 0.1</td>
<td style="text-align: right;">0.3</td>
<td style="text-align: right;">1.1</td>
<td style="text-align: right;">1.98 ± 0.55</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Oberon/fib-iter-obc</code></td>
<td style="text-align: right;">1.0 ± 0.1</td>
<td style="text-align: right;">0.8</td>
<td style="text-align: right;">2.2</td>
<td style="text-align: right;">4.18 ± 1.10</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Oberon/fib-iter-obnc</code></td>
<td style="text-align: right;">1.1 ± 0.2</td>
<td style="text-align: right;">0.8</td>
<td style="text-align: right;">2.3</td>
<td style="text-align: right;">4.37 ± 1.15</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Pascal/fib_opt</code></td>
<td style="text-align: right;">0.3 ± 0.1</td>
<td style="text-align: right;">0.2</td>
<td style="text-align: right;">1.7</td>
<td style="text-align: right;">1.16 ± 0.38</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Lean/build/bin/fib tail</code></td>
<td style="text-align: right;">3.3 ± 0.4</td>
<td style="text-align: right;">2.6</td>
<td style="text-align: right;">6.0</td>
<td style="text-align: right;">13.21 ± 3.39</td>
</tr>
<tr class="even">
<td
style="text-align: left;"><code>ruby interpret/fib_opt.rb</code></td>
<td style="text-align: right;">79.4 ± 4.1</td>
<td style="text-align: right;">71.9</td>
<td style="text-align: right;">92.1</td>
<td style="text-align: right;">320.84 ± 73.33</td>
</tr>
<tr class="odd">
<td
style="text-align: left;"><code>ruby interpret/fib_opt_toc.rb</code></td>
<td style="text-align: right;">79.3 ± 3.7</td>
<td style="text-align: right;">71.8</td>
<td style="text-align: right;">84.7</td>
<td style="text-align: right;">320.67 ± 72.94</td>
</tr>
<tr class="even">
<td
style="text-align: left;"><code>python interpret/fib_opt.py</code></td>
<td style="text-align: right;">30.4 ± 3.0</td>
<td style="text-align: right;">25.9</td>
<td style="text-align: right;">37.0</td>
<td style="text-align: right;">122.88 ± 29.92</td>
</tr>
<tr class="odd">
<td
style="text-align: left;"><code>node interpret/fib_opt.js</code></td>
<td style="text-align: right;">37.2 ± 2.6</td>
<td style="text-align: right;">33.9</td>
<td style="text-align: right;">45.3</td>
<td style="text-align: right;">150.52 ± 35.07</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>bun interpret/fib_opt.js</code></td>
<td style="text-align: right;">20.7 ± 2.0</td>
<td style="text-align: right;">16.4</td>
<td style="text-align: right;">26.6</td>
<td style="text-align: right;">83.71 ± 20.25</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>qjs interpret/fib_opt.js</code></td>
<td style="text-align: right;">4.2 ± 0.6</td>
<td style="text-align: right;">3.2</td>
<td style="text-align: right;">7.4</td>
<td style="text-align: right;">17.07 ± 4.51</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>js interpret/fib_opt.js</code></td>
<td style="text-align: right;">21.5 ± 1.3</td>
<td style="text-align: right;">19.8</td>
<td style="text-align: right;">26.7</td>
<td style="text-align: right;">86.84 ± 20.06</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>d8 interpret/fib_opt.js</code></td>
<td style="text-align: right;">8.5 ± 0.4</td>
<td style="text-align: right;">7.8</td>
<td style="text-align: right;">11.0</td>
<td style="text-align: right;">34.53 ± 7.84</td>
</tr>
<tr class="even">
<td
style="text-align: left;"><code>tclsh interpret/fib_opt.tcl</code></td>
<td style="text-align: right;">8.2 ± 1.0</td>
<td style="text-align: right;">6.4</td>
<td style="text-align: right;">11.5</td>
<td style="text-align: right;">33.21 ± 8.43</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>interpret/fib_opt-qjsc</code></td>
<td style="text-align: right;">1.2 ± 0.2</td>
<td style="text-align: right;">0.9</td>
<td style="text-align: right;">2.7</td>
<td style="text-align: right;">4.98 ± 1.36</td>
</tr>
</tbody>
</table>
